Subject: [Sip] RE: Outbound and STUN -- READ THE DRAFT PLEASE

From: [email-masked]
Date: Tue, 14 Feb 2006 17:06:03 -0600

Well, I'll throw this out for fun.  I've read the draft as commanded!

Awhile ago, I was involved in writing up the IAX2 draft.  One of the really interesting things about IAX2 is that it multiplexes the media and the signaling on a single UDP port (in this way its basically ISDN for IP, where port number == T-1 timeslot).  If we're going to open Pandora's box here and run multiple protocols through the same port, why not assemble RTP and SIP on the same port?  It would basically do away with all this NAT traversal nonsense.

We could make the first octet of the message a "call number" where there was one reserved for signaling.  That way you could multiplex lots of different media streams through it as well.

FM

------------------------------------------------
On Tue, 14 Feb 2006 15:18:37 -0600, Dean Willis <[email-masked]> wrote:

> 
> I've noticed a common thread in this discussion about SIP and STUN.  
> Lots of people commenting on it don't understand WHY we're talking  
> about it, so it sounds strange to them. It might well BE strange, but  
> it helps to have the background.
> 
> That's ok. It's why we write drafts. And why we read them.
> 
> The topic under discussion is in the "Outbound" draft:
> 
> http://www.ietf.org/internet-drafts/draft-ietf-sip-outbound-01.txt
> 
> Keepalive requirements are discussed in section 3.5.
> 
> Detecting flow failures is discussed in section 4.2
> 
> Processing of STUN requests in parallel with SIP is discussed in  
> section 7.1
> 
> --
> Dean
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip